{
    attributes = (
        {
            columnName = C2IC_KEY; 
            externalType = NUMBER; 
            name = c2icKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IC_MOYENNE_OBTENTION; 
            externalType = NUMBER; 
            name = c2icMoyenneObtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = C2IC_NB_NIVEAU; 
            externalType = NUMBER; 
            name = c2icNbNiveau; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IC_NIVEAU1_CONTRAINTE; 
            externalType = NUMBER; 
            name = c2icNiveau1Contrainte; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IC_NIVEAU1_OBTENTION; 
            externalType = NUMBER; 
            name = c2icNiveau1Obtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = C2IC_NIVEAU2_CONTRAINTE; 
            externalType = NUMBER; 
            name = c2icNiveau2Contrainte; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IC_NIVEAU2_OBTENTION; 
            externalType = NUMBER; 
            name = c2icNiveau2Obtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = C2IC_NIVEAU3_CONTRAINTE; 
            externalType = NUMBER; 
            name = c2icNiveau3Contrainte; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IC_NIVEAU3_OBTENTION; 
            externalType = NUMBER; 
            name = c2icNiveau3Obtention; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = C2IC_TYPE; 
            externalType = NUMBER; 
            name = c2icType; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (c2icKey); 
    className = EOGenericRecord; 
    classProperties = (
        c2icNbNiveau, 
        c2icNiveau1Contrainte, 
        c2icNiveau1Obtention, 
        c2icNiveau2Contrainte, 
        c2icNiveau2Obtention, 
        c2icNiveau3Contrainte, 
        c2icNiveau3Obtention, 
        c2icMoyenneObtention, 
        fannKey, 
        c2icKey, 
        c2ieKey, 
        toScolC2IEntete, 
        toScolFormationAnnee, 
        c2icType
    ); 
    externalName = SCOL_C2I_CONSTANTES; 
    fetchSpecificationDictionary = {}; 
    name = ScolC2IConstantes; 
    primaryKeyAttributes = (c2icKey); 
    relationships = (
        {
            destination = ScolC2IEntete; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = toScolC2IEntete; 
        }, 
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }
    ); 
}
